

# AddFlowMediaStreams
<a name="API_AddFlowMediaStreams"></a>

 Adds media streams to an existing flow. After you add a media stream to a flow, you can associate it with a source and/or an output that uses the ST 2110 JPEG XS or CDI protocol.

## Request Syntax
<a name="API_AddFlowMediaStreams_RequestSyntax"></a>

```
POST /v1/flows/flowArn/mediaStreams HTTP/1.1
Content-type: application/json

{
   "mediaStreams": [ 
      { 
         "attributes": { 
            "fmtp": { 
               "channelOrder": "string",
               "colorimetry": "string",
               "exactFramerate": "string",
               "par": "string",
               "range": "string",
               "scanMode": "string",
               "tcs": "string"
            },
            "lang": "string"
         },
         "clockRate": number,
         "description": "string",
         "mediaStreamId": number,
         "mediaStreamName": "string",
         "mediaStreamTags": { 
            "string" : "string" 
         },
         "mediaStreamType": "string",
         "videoFormat": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_AddFlowMediaStreams_RequestParameters"></a>

The request uses the following URI parameters.

 ** [flowArn](#API_AddFlowMediaStreams_RequestSyntax) **   <a name="mediaconnect-AddFlowMediaStreams-request-uri-flowArn"></a>
 The Amazon Resource Name (ARN) of the flow.  
Pattern: `arn:.+:mediaconnect.+:flow:.+`   
Required: Yes

## Request Body
<a name="API_AddFlowMediaStreams_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [mediaStreams](#API_AddFlowMediaStreams_RequestSyntax) **   <a name="mediaconnect-AddFlowMediaStreams-request-mediaStreams"></a>
 The media streams that you want to add to the flow.  
Type: Array of [AddMediaStreamRequest](API_AddMediaStreamRequest.md) objects  
Required: Yes

## Response Syntax
<a name="API_AddFlowMediaStreams_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "flowArn": "string",
   "mediaStreams": [ 
      { 
         "attributes": { 
            "fmtp": { 
               "channelOrder": "string",
               "colorimetry": "string",
               "exactFramerate": "string",
               "par": "string",
               "range": "string",
               "scanMode": "string",
               "tcs": "string"
            },
            "lang": "string"
         },
         "clockRate": number,
         "description": "string",
         "fmt": number,
         "mediaStreamId": number,
         "mediaStreamName": "string",
         "mediaStreamType": "string",
         "videoFormat": "string"
      }
   ]
}
```

## Response Elements
<a name="API_AddFlowMediaStreams_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [flowArn](#API_AddFlowMediaStreams_ResponseSyntax) **   <a name="mediaconnect-AddFlowMediaStreams-response-flowArn"></a>
 The ARN of the flow that you added media streams to.  
Type: String

 ** [mediaStreams](#API_AddFlowMediaStreams_ResponseSyntax) **   <a name="mediaconnect-AddFlowMediaStreams-response-mediaStreams"></a>
 The media streams that you added to the flow.  
Type: Array of [MediaStream](API_MediaStream.md) objects

## Errors
<a name="API_AddFlowMediaStreams_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.   
HTTP Status Code: 400

 ** ForbiddenException **   
You do not have sufficient access to perform this action.   
HTTP Status Code: 403

 ** InternalServerErrorException **   
The server encountered an internal error and is unable to complete the request.   
HTTP Status Code: 500

 ** NotFoundException **   
One or more of the resources in the request does not exist in the system.   
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is currently unavailable or busy.   
HTTP Status Code: 503

 ** TooManyRequestsException **   
The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_AddFlowMediaStreams_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediaconnect-2018-11-14/AddFlowMediaStreams) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediaconnect-2018-11-14/AddFlowMediaStreams) 